@tooltip-background-color: #2d2e2a;
@tooltip-green:  #29fd2e;
@tooltip-grey:   #aaaaaa;
@tooltip-blue:   #5191f0;
@tooltip-border: #24476b;
@tooltip-border-radius: 3px;

.gw2-item-tooltip {
    font-size: 75%;
    color: #fff;
    line-height: 135%;

    .item-icon {
        background-color: @tooltip-background-color;
        border-radius: @tooltip-border-radius;
        border: solid 1px @tooltip-border;
        float: left;
        margin: 0 0.25em;
    }

    .description {
        background-color: @tooltip-background-color;
        background-image: url('images/tooltip.png');
        border-radius: @tooltip-border-radius;
        border: solid 1px @tooltip-border;
        float: left;
        width: 35em;
        padding: 0.75em;
    }

    .tooltip-green {
        color: @tooltip-green;
    }

    .info {
        padding: 0.5em;

        .stats {
            color: @tooltip-green;
            padding: 0.5em 0;
            margin: 0;

            li {
                list-style-type: none;
                padding-left: 1em;
            }
        }

        .socket {
            color: @tooltip-blue;

            img {
                background-color: @tooltip-background-color;
                border-radius: @tooltip-border-radius;
            }
            ul {
                padding: 0.5em 0;
                margin: 0;

                li {
                    list-style-type: none;
                    padding-left: 1em;
                    margin: 0;
                }
            }
        }

        .damageType {
            color: @tooltip-grey;
        }
    }
}

.gw2-tooltip {
    position: relative;
    z-index: 1000;
}

.animate-switch {
}

.animate-switch.ng-animate {
    -webkit-transition: 250ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
    -moz-transition: 250ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
    -ms-transition: 250ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
    -o-transition: 250ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
    transition: 250ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
}

.animate-switch.ng-leave.ng-leave-active,
.animate-switch.ng-enter {
    -webkit-transform: scaleY(0);
    -moz-transform: scaleY(0);
    -ms-transform: scaleY(0);
    -o-transform: scaleY(0);
    transform: scaleY(0);
    opacity: 0;
}
.animate-switch.ng-leave,
.animate-switch.ng-enter.ng-enter-active {
    -webkit-transform: scaleY(1);
    -moz-transform: scaleY(1);
    -ms-transform: scaleY(1);
    -o-transform: scaleY(1);
    transform: scaleY(1);
    opacity: 1;
}